// Garden Gnome Software - Skin
// Pano2VR pro 4.5.1/10655
// Filename: tooltip.ggsk
// Generated Mon Oct 13 11:40:22 2014

function pano2vrSkin(player,base) {
	var me=this;
	var flag=false;
	var nodeMarker=new Array();
	var activeNodeMarker=new Array();
	this.player=player;
	this.player.skinObj=this;
	this.divSkin=player.divSkin;
	var basePath="";
	// auto detect base path
	if (base=='?') {
		var scripts = document.getElementsByTagName('script');
		for(var i=0;i<scripts.length;i++) {
			var src=scripts[i].src;
			if (src.indexOf('skin.js')>=0) {
				var p=src.lastIndexOf('/');
				if (p>=0) {
					basePath=src.substr(0,p+1);
				}
			}
		}
	} else
	if (base) {
		basePath=base;
	}
	this.elementMouseDown=new Array();
	this.elementMouseOver=new Array();
	var cssPrefix='';
	var domTransition='transition';
	var domTransform='transform';
	var prefixes='Webkit,Moz,O,ms,Ms'.split(',');
	var i;
	for(i=0;i<prefixes.length;i++) {
		if (typeof document.body.style[prefixes[i] + 'Transform'] !== 'undefined') {
			cssPrefix='-' + prefixes[i].toLowerCase() + '-';
			domTransition=prefixes[i] + 'Transition';
			domTransform=prefixes[i] + 'Transform';
		}
	}
	
	this.player.setMargins(0,0,0,0);
	
	this.updateSize=function(startElement) {
		var stack=new Array();
		stack.push(startElement);
		while(stack.length>0) {
			e=stack.pop();
			if (e.ggUpdatePosition) {
				e.ggUpdatePosition();
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	
	parameterToTransform=function(p) {
		var hs='translate(' + p.rx + 'px,' + p.ry + 'px) rotate(' + p.a + 'deg) scale(' + p.sx + ',' + p.sy + ')';
		return hs;
	}
	
	this.findElements=function(id,regex) {
		var r=new Array();
		var stack=new Array();
		var pat=new RegExp(id,'');
		stack.push(me.divSkin);
		while(stack.length>0) {
			e=stack.pop();
			if (regex) {
				if (pat.test(e.ggId)) r.push(e);
			} else {
				if (e.ggId==id) r.push(e);
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
		return r;
	}
	
	this.addSkin=function() {
		this._german_image=document.createElement('div');
		this._german_image__text=document.createElement('div');
		this._german_image.className='ggskin ggskin_textdiv';
		this._german_image.ggTextDiv=this._german_image__text;
		this._german_image.ggId="german_image";
		this._german_image.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._german_image.ggVisible=true;
		this._german_image.className='ggskin ggskin_text';
		this._german_image.ggType='text';
		this._german_image.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-78 + w) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(-31 + h) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -78px;';
		hs+='top:  -31px;';
		hs+='width: 55px;';
		hs+='height: 17px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._german_image.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 55px;';
		hs+='height: 17px;';
		hs+='background: #ffffff;';
		hs+='border: 1px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._german_image__text.setAttribute('style',hs);
		this._german_image__text.innerHTML="German";
		this._german_image.appendChild(this._german_image__text);
		this._german_image.onclick=function () {
			var list=me.findElements("de_.*",true);
			while(list.length>0) {
				var e=list.pop();
				e.style[domTransition]='none';
				e.style.visibility='inherit';
				e.ggVisible=true;
			}
			var list=me.findElements("en_.*",true);
			while(list.length>0) {
				var e=list.pop();
				e.style[domTransition]='none';
				e.style.visibility='hidden';
				e.ggVisible=false;
			}
		}
		this.divSkin.appendChild(this._german_image);
		this._english_image=document.createElement('div');
		this._english_image__text=document.createElement('div');
		this._english_image.className='ggskin ggskin_textdiv';
		this._english_image.ggTextDiv=this._english_image__text;
		this._english_image.ggId="english_image";
		this._english_image.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._english_image.ggVisible=true;
		this._english_image.className='ggskin ggskin_text';
		this._english_image.ggType='text';
		this._english_image.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-151 + w) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(-31 + h) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -151px;';
		hs+='top:  -31px;';
		hs+='width: 55px;';
		hs+='height: 17px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._english_image.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 55px;';
		hs+='height: 17px;';
		hs+='background: #ffffff;';
		hs+='border: 1px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._english_image__text.setAttribute('style',hs);
		this._english_image__text.innerHTML="English";
		this._english_image.appendChild(this._english_image__text);
		this._english_image.onclick=function () {
			var list=me.findElements("en_.*",true);
			while(list.length>0) {
				var e=list.pop();
				e.style[domTransition]='none';
				e.style.visibility='inherit';
				e.ggVisible=true;
			}
			var list=me.findElements("de_.*",true);
			while(list.length>0) {
				var e=list.pop();
				e.style[domTransition]='none';
				e.style.visibility='hidden';
				e.ggVisible=false;
			}
		}
		this.divSkin.appendChild(this._english_image);
		this.divSkin.ggUpdateSize=function(w,h) {
			me.updateSize(me.divSkin);
		}
		this.divSkin.ggViewerInit=function() {
		}
		this.divSkin.ggLoaded=function() {
		}
		this.divSkin.ggReLoaded=function() {
		}
		this.divSkin.ggLoadedLevels=function() {
		}
		this.divSkin.ggReLoadedLevels=function() {
		}
		this.divSkin.ggEnterFullscreen=function() {
		}
		this.divSkin.ggExitFullscreen=function() {
		}
		this.skinTimerEvent();
	};
	this.hotspotProxyClick=function(id) {
	}
	this.hotspotProxyOver=function(id) {
	}
	this.hotspotProxyOut=function(id) {
	}
	this.changeActiveNode=function(id) {
		var newMarker=new Array();
		var i,j;
		var tags=me.player.userdata.tags;
		for (i=0;i<nodeMarker.length;i++) {
			var match=false;
			if ((nodeMarker[i].ggMarkerNodeId==id) && (id!='')) match=true;
			for(j=0;j<tags.length;j++) {
				if (nodeMarker[i].ggMarkerNodeId==tags[j]) match=true;
			}
			if (match) {
				newMarker.push(nodeMarker[i]);
			}
		}
		for(i=0;i<activeNodeMarker.length;i++) {
			if (newMarker.indexOf(activeNodeMarker[i])<0) {
				if (activeNodeMarker[i].ggMarkerNormal) {
					activeNodeMarker[i].ggMarkerNormal.style.visibility='inherit';
				}
				if (activeNodeMarker[i].ggMarkerActive) {
					activeNodeMarker[i].ggMarkerActive.style.visibility='hidden';
				}
				if (activeNodeMarker[i].ggDeactivate) {
					activeNodeMarker[i].ggDeactivate();
				}
			}
		}
		for(i=0;i<newMarker.length;i++) {
			if (activeNodeMarker.indexOf(newMarker[i])<0) {
				if (newMarker[i].ggMarkerNormal) {
					newMarker[i].ggMarkerNormal.style.visibility='hidden';
				}
				if (newMarker[i].ggMarkerActive) {
					newMarker[i].ggMarkerActive.style.visibility='inherit';
				}
				if (newMarker[i].ggActivate) {
					newMarker[i].ggActivate();
				}
			}
		}
		activeNodeMarker=newMarker;
	}
	this.skinTimerEvent=function() {
		setTimeout(function() { me.skinTimerEvent(); }, 10);
	};
	function SkinHotspotClass(skinObj,hotspot) {
		var me=this;
		var flag=false;
		this.player=skinObj.player;
		this.skin=skinObj;
		this.hotspot=hotspot;
		this.elementMouseDown=new Array();
		this.elementMouseOver=new Array();
		this.__div=document.createElement('div');
		this.__div.setAttribute('style','position:absolute; left:0px;top:0px;visibility: inherit;');
		
		this.findElements=function(id,regex) {
			return me.skin.findElements(id,regex);
		}
		
		{
			this.__div=document.createElement('div');
			this.__div.ggId="hs_image";
			this.__div.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this.__div.ggVisible=true;
			this.__div.className='ggskin ggskin_hotspot';
			this.__div.ggType='hotspot';
			hs ='position:absolute;';
			hs+='left: 334px;';
			hs+='top:  158px;';
			hs+='width: 5px;';
			hs+='height: 5px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: inherit;';
			this.__div.setAttribute('style',hs);
			this.__div.onclick=function () {
				me.player.openUrl(me.hotspot.url,me.hotspot.target);
				me.skin.hotspotProxyClick(me.hotspot.id);
			}
			this.__div.onmouseover=function () {
				me.player.hotspot=me.hotspot;
				me._website_tt.style[domTransition]='none';
				me._website_tt.style.visibility='inherit';
				me._website_tt.ggVisible=true;
				me.skin.hotspotProxyOver(me.hotspot.id);
			}
			this.__div.onmouseout=function () {
				me.player.hotspot=me.player.emptyHotspot;
				me._website_tt.style[domTransition]='none';
				me._website_tt.style.visibility='hidden';
				me._website_tt.ggVisible=false;
				me.skin.hotspotProxyOut(me.hotspot.id);
			}
			this._website_tt=document.createElement('div');
			this._website_tt.ggId="website_tt";
			this._website_tt.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._website_tt.ggVisible=false;
			this._website_tt.className='ggskin ggskin_container';
			this._website_tt.ggType='container';
			hs ='position:absolute;';
			hs+='left: -48px;';
			hs+='top:  -46px;';
			hs+='width: 100px;';
			hs+='height: 20px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: hidden;';
			this._website_tt.setAttribute('style',hs);
			this._de_website=document.createElement('div');
			this._de_website.ggId="de_website";
			this._de_website.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._de_website.ggVisible=false;
			this._de_website.className='ggskin ggskin_image';
			this._de_website.ggType='image';
			hs ='position:absolute;';
			hs+='left: 0px;';
			hs+='top:  0px;';
			hs+='width: 100px;';
			hs+='height: 20px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: hidden;';
			this._de_website.setAttribute('style',hs);
			this._de_website__img=document.createElement('img');
			this._de_website__img.className='ggskin ggskin_image';
			this._de_website__img.setAttribute('src',basePath + 'images/de_website.png');
			this._de_website__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
			this._de_website__img.className='ggskin ggskin_image';
			this._de_website__img['ondragstart']=function() { return false; };
			me.player.checkLoaded.push(this._de_website__img);
			this._de_website.appendChild(this._de_website__img);
			this._website_tt.appendChild(this._de_website);
			this._en_website=document.createElement('div');
			this._en_website.ggId="en_website";
			this._en_website.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._en_website.ggVisible=true;
			this._en_website.className='ggskin ggskin_image';
			this._en_website.ggType='image';
			hs ='position:absolute;';
			hs+='left: 0px;';
			hs+='top:  0px;';
			hs+='width: 100px;';
			hs+='height: 20px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: inherit;';
			this._en_website.setAttribute('style',hs);
			this._en_website__img=document.createElement('img');
			this._en_website__img.className='ggskin ggskin_image';
			this._en_website__img.setAttribute('src',basePath + 'images/en_website.png');
			this._en_website__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
			this._en_website__img.className='ggskin ggskin_image';
			this._en_website__img['ondragstart']=function() { return false; };
			me.player.checkLoaded.push(this._en_website__img);
			this._en_website.appendChild(this._en_website__img);
			this._website_tt.appendChild(this._en_website);
			this.__div.appendChild(this._website_tt);
			this._hs_image_1=document.createElement('div');
			this._hs_image_1.ggId="hs_image_1";
			this._hs_image_1.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._hs_image_1.ggVisible=true;
			this._hs_image_1.className='ggskin ggskin_rectangle';
			this._hs_image_1.ggType='rectangle';
			hs ='position:absolute;';
			hs+='left: -16px;';
			hs+='top:  -15px;';
			hs+='width: 31px;';
			hs+='height: 31px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: inherit;';
			hs+='background: #ffffff;';
			hs+='border: 1px solid #000000;';
			hs+='border-radius: 999px;';
			hs+=cssPrefix + 'border-radius: 999px;';
			this._hs_image_1.setAttribute('style',hs);
			this.__div.appendChild(this._hs_image_1);
		}
	};
	this.addSkinHotspot=function(hotspot) {
		return new SkinHotspotClass(me,hotspot);
	}
	this.addSkin();
};